package id.iptek.utms.agent.model;

import java.io.Serializable;

/**
 *
 * @author Jaka
 */
public class TaskAckReq implements Serializable {

    private String reqId;
    private String terminalSN;
    private String ackId;
    private String terminalId;
    private int activity;
    private String message;
    private String taskId;
    private String terminalGroupId;
    private boolean broadcasted;

    public TaskAckReq() {
    }

    /**
     * @return the reqId
     */
    public String getReqId() {
        return reqId;
    }

    /**
     * @param reqId the reqId to set
     */
    public void setReqId(String reqId) {
        this.reqId = reqId;
    }

    /**
     * @return the terminalSN
     */
    public String getTerminalSN() {
        return terminalSN;
    }

    /**
     * @param terminalSN the terminalSN to set
     */
    public void setTerminalSN(String terminalSN) {
        this.terminalSN = terminalSN;
    }

    /**
     * @return the ackId
     */
    public String getAckId() {
        return ackId;
    }

    /**
     * @param ackId the ackId to set
     */
    public void setAckId(String ackId) {
        this.ackId = ackId;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getTerminalGroupId() {
        return terminalGroupId;
    }

    public void setTerminalGroupId(String terminalGroupId) {
        this.terminalGroupId = terminalGroupId;
    }

    public int getActivity() {
        return activity;
    }

    public void setActivity(int activity) {
        this.activity = activity;
    }

    /**
     * @return the message
     */
    public String getMessage() {
        return message;
    }

    /**
     * @param message the message to set
     */
    public void setMessage(String message) {
        this.message = message;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public boolean isBroadcasted() {
        return broadcasted;
    }

    public void setBroadcasted(boolean broadcasted) {
        this.broadcasted = broadcasted;
    }

}
